Subject: bug#45453: Error when I try to build a package using a JSON definition

From: Ricardo Wurmus <[email-masked]>
Date: Sun, 27 Dec 2020 11:38:01 +0100

Hi Ryan,

> Any idea what the issue here is or how I should go about debugging?

You were *so* close!  The problem is with the license field.
Uncharacteristically, we are using spdx-string->license here, so “expat”
is not a valid license name.  When you replace it with “MIT” it will
work.

I’ll change this to use the Guixy license names first, and only fall
back to SPDX names when that fails.  And there should be a proper error
message, of course.

Thanks for the bug report!

-- 
Ricardo